Find Analytics Engine by id
GET /v3/analytics_engines/{instance_id}
Retrieve the details of a single Analytics Engine instance.
Request
Path Parameters
instance_id
Required *
string
GUID of the Analytics Engine service instance to retrieve.
Query Parameters
Response
200 - OK
id
string
GUID of the Analytics Engine instance
href
string
Full URL of the resource.
state
string
State of the Analytics Engine instance
state_change_time
string
Timestamp when the state of the instance was changed, in the format YYYY-MM-DDTHH:mm:ssZ
default_runtime
Runtime
Runtime enviroment for applications and other workloads.
instance_home
InstanceHome
Object storage instance that acts as the home for custom libraries and Spark events.
default_config
object
Instance level default configuration for Spark workloads.
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Find Analytics Engine state by id
GET /v3/analytics_engines/{instance_id}/state
Retrieve the state of a single Analytics Engine instance.
Request
Path Parameters
instance_id
Required *
string
GUID of the Analytics Engine service instance to retrieve state.
Query Parameters
Response
200 - OK
id
string
GUID of the Analytics Engine instance
state
string
State of the Analytics Engine instance
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
PUT /v3/analytics_engines/{instance_id}/instance_home
Provide the details of the Cloud Object Storage instance to associate with the Analytics Engine instance and use as 'instance home' if 'instance home' has not already been set.
Note: You can set 'instance home' again if the instance is in 'instance_home_creation_failure' state.
Request
Request Body
InstanceHomeRequest
Details of the Object Storage instance.
instance_id
string
UUID of the instance home storage instance.
provider
string
Currently only ibm-cos (IBM Cloud Object Storage) is supported.
type
string
Type of the instance home storage. Currently, only objectstore (Cloud Object Storage) is supported.
region
string
Region of the Cloud Object Storage instance.
endpoint
string
Endpoint to access the Cloud Object Storage instance.
hmac_access_key
string
Cloud Object Storage access key.
hmac_secret_key
string
Cloud Object Storage secret key.
Response
200 - Instance home was set.
instance_id
string
UUID of the instance home storage instance.
provider
string
Currently only ibm-cos (IBM Cloud Object Storage) is supported.
type
string
Type of the instance home storage. Currently, only objectstore (Cloud Object Storage) is supported.
region
string
Region of the Cloud Object Storage instance.
endpoint
string
Endpoint to access the Cloud Object Storage instance.
hmac_access_key
string
Cloud Object Storage access key.
hmac_secret_key
string
Cloud Object Storage secret key.
400 - Bad Request
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
409 - Conflict. Once instance home is set, it can't be changed.
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
PATCH /v3/analytics_engines/{instance_id}/instance_home
Update the HMAC credentials used to access the instance home, if the instance home was set earlier. Credentials must have write access to the object storage used as instance home.
Note: Your running applications and the Spark history server would continue to use the old credentials after updating the HMAC credentials. Before revoking the old credentials, you must either wait for them to finish running or stop them.
Request
Request Body
InstanceHomeCredentials
The HMAC credentials to be used for accessing the Object Storage set as instance home.
hmac_access_key
Required *
string
Cloud Object Storage access key.
hmac_secret_key
Required *
string
Cloud Object Storage secret key.
Response
200 - Your instance home credentials have been changed successfully.
instance_id
string
UUID of the instance home storage instance.
provider
string
Currently only ibm-cos (IBM Cloud Object Storage) is supported.
type
string
Type of the instance home storage. Currently, only objectstore (Cloud Object Storage) is supported.
region
string
Region of the Cloud Object Storage instance.
endpoint
string
Endpoint to access the Cloud Object Storage instance.
hmac_access_key
string
Cloud Object Storage access key.
hmac_secret_key
string
Cloud Object Storage secret key.
400 - Bad request. One or more of the required fields are missing or incorrect. The provided credentials must have write access to the Cloud Object Storage being used as instance home.
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
409 - Conflict. You can't update instance home credentials at this time. Wait for the instance to be active.
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Get instance default Spark configurations
GET /v3/analytics_engines/{instance_id}/default_configs
Get the default Spark configuration properties that will be applied to all applications of the instance.
Request
Response
200 - OK
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Replace instance default Spark configurations
PUT /v3/analytics_engines/{instance_id}/default_configs
Replace the default Spark configuration properties that will be applied to all applications of the instance.
Request
Request Body
InstanceDefaultConfigs
Spark configuration properties to replace existing instance default Spark configurations.
Response
200 - Instance default Spark configurations were replaced.
400 - Bad Request
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Update instance default Spark configurations
PATCH /v3/analytics_engines/{instance_id}/default_configs
Update the default Spark configuration properties that will be applied to all applications of the instance.
Request
Request Body
InstanceDefaultConfigsUpdate
Spark configuration properties to be updated. Properties will be merged with existing configuration properties. Set a property value to `null` in order to unset it.
Response
200 - Instance default Spark configurations were updated.
400 - Bad Request
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Get instance default runtime
GET /v3/analytics_engines/{instance_id}/default_runtime
Get the default runtime environment on which all workloads of the instance will run.
Request
Response
200 - OK
spark_version
string
Spark version of the runtime environment.
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Replace instance default runtime
PUT /v3/analytics_engines/{instance_id}/default_runtime
Replace the default runtime environment on which all workloads of the instance will run.
Request
Request Body
Runtime
Default runtime environment on which all workloads will run.
spark_version
string
Spark version of the runtime environment.
Response
200 - Instance default runtime was replaced.
spark_version
string
Spark version of the runtime environment.
400 - Bad Request
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Deploy a Spark application
POST /v3/analytics_engines/{instance_id}/spark_applications
Deploys a Spark application on a given serverless Spark instance.
Request
Request Body
ApplicationRequest
Request json to deploy a Spark application
application_details
object
Application details
application
string
Path of the application to run
runtime
object
Runtime enviroment for applications and other workloads.
jars
string
Path of the jar files containing the application
packages
string
Package names
repositories
string
Repositories names
files
string
File names
archives
string
Archive Names
name
string
Name of the application
arguments
array
An array of arguments to be passed to the application.
conf
object
Application configurations to override the value specified at instance level. See Spark environment variables for a list of the supported variables.
env
object
Application environment configurations to use. See Spark environment variables for a list of the supported variables.
Response
202 - Spark application submission accepted.
id
string
Identifier of the application that was submitted.
state
string
State of the Spark application
400 - Bad Request
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
List all Spark applications
GET /v3/analytics_engines/{instance_id}/spark_applications
Returns a list of all Spark applications submitted to the specified Analytics Engine instance. The result can be filtered by specifying query parameters.
Request
Path Parameters
Query Parameters
state
array
List of Spark application states that will be used to filter the response.
start_time_interval
string
Time interval to use for filtering applications by their start time. Interval is specified in the format `<lower timestamp limit>,<upper timestamp limit>`. Each timestamp value must be ISO 8601 compliant. You may also use keywords `BEGINNING` as a placeholder value for lower timestamp limit and `CURRENT` as a placeholder value for upper timestamp limit. Note: The lower timestamp limit is inclusive, whereas the upper timestamp limit is exclusive.
submission_time_interval
string
Time interval to use for filtering applications by their submission time. Interval is specified in the format `<lower timestamp limit>,<upper timestamp limit>`. Each timestamp value must be ISO 8601 compliant. You may also use keywords `BEGINNING` as a placeholder value for lower timestamp limit and `CURRENT` as a placeholder value for upper timestamp limit. Note: The lower timestamp limit is inclusive, whereas the upper timestamp limit is exclusive.
end_time_interval
string
Time interval to use for filtering applications by their end time. Interval is specified in the format `<lower timestamp limit>,<upper timestamp limit>`. Each timestamp value must be ISO 8601 compliant. You may also use keywords `BEGINNING` as a placeholder value for lower timestamp limit and `CURRENT` as a placeholder value for upper timestamp limit. Note: The lower timestamp limit is inclusive, whereas the upper timestamp limit is exclusive.
limit
integer
Number of application entries to be included in the response.
start
string
Token used to fetch the next or the previous page of the applications list.
Response
200 - OK
applications
array
List of applications
first
PageLink
A reference to a page in a paginated collection.
next
PageLink
A reference to a page in a paginated collection.
previous
PageLink
A reference to a page in a paginated collection.
limit
integer
The maximum number of results in this page of the collection.
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Retrieve the details of a given Spark application
GET /v3/analytics_engines/{instance_id}/spark_applications/{application_id}
Gets the details of a given Spark application.
Request
Path Parameters
instance_id
Required *
string
Identifier of the instance to which the application belongs.
application_id
Required *
string
Identifier of the application for which details are requested.
Query Parameters
Response
200 - OK
application_details
ApplicationDetails
Application details
id
string
Application ID
spark_application_id
string
Identifier provided by Apache Spark for the application.
spark_application_name
string
Name of the Spark application.
state
string
State of the Spark application
spark_ui
string
URL of the Apache Spark web UI that is available when the application is running.
state_details
array
List of additional information messages on the current state of the application.
submission_time
string
Time when the application was submitted.
start_time
string
Time when the application started, in the format YYYY-MM-DDTHH:mm:ssZ
end_time
string
Time when the application ended either in success or failure, in the format YYYY-MM-DDTHH:mm:ssZ
finish_time
string
(deprecated) Time when the application completed successfully, in the format YYYY-MM-DDTHH:mm:ssZ
auto_termination_time
string
Time when the application will be automatically stopped by the service.
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Stop application
DELETE /v3/analytics_engines/{instance_id}/spark_applications/{application_id}
Stops a running application identified by the app_id identifier. This is an idempotent operation. Performs no action if the requested application is already stopped or completed.
Request
Path Parameters
instance_id
Required *
string
Identifier of the instance to which the application belongs.
application_id
Required *
string
Identifier of the application that needs to be stopped.
Query Parameters
Response
204 - No Content
400 - Bad Request
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Get the status of the application
GET /v3/analytics_engines/{instance_id}/spark_applications/{application_id}/state
Returns the status of the given Spark application.
Request
Path Parameters
instance_id
Required *
string
Identifier of the instance to which the applications belongs.
application_id
Required *
string
Identifier of the application for which details are requested.
Query Parameters
Response
200 - OK
id
string
Identifier of the application
state
string
State of the Spark application
start_time
string
Time when the application was started.
end_time
string
Time when the application run ended in success, failure or was stopped.
finish_time
string
(deprecated) Time when the application was completed.
auto_termination_time
string
Time when the application will be automatically stopped by the service.
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Get current resource consumption
GET /v3/analytics_engines/{instance_id}/current_resource_consumption
Gives the total memory and virtual processor cores allotted to all the applications running in the service instance at this point in time. When auto-scaled applications are running, the resources allotted will change over time, based on the applications's demands. Note: The consumption is not an indication of actual resource consumption by Spark processes. It is the sum of resources allocated to the currently running applications at the time of application submission.
Request
Response
200 - OK
cores
string
Number of virtual processor cores used.
memory
string
Amount of memory used.
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Get resource consumption limits
GET /v3/analytics_engines/{instance_id}/resource_consumption_limits
Returns the maximum total memory and virtual processor cores that can be allotted across all the applications running in the service instance at any point in time.
Request
Response
200 - OK
max_cores
string
Maximum number of virtual processor cores that be used in the instance.
max_memory
string
Maximum memory that can be used in the instance.
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Replace log forwarding configuration
PUT /v3/analytics_engines/{instance_id}/log_forwarding_config
Modify the configuration for forwarding logs from the Analytics Engine instance to IBM Log Analysis server. Use this endpoint to enable or disable log forwarding.
Request
Request Body
LogForwardingConfigRequest
Request json with log forwarding configuration details.
enabled
boolean
Enable or disable log forwarding.
sources
array
List of sources of logs that will be forwarded. By default, only 'spark-driver' logs are forwarded.
tags
array
List of tags to be applied to the logs being forwarded. They can be used to filter the logs in the IBM Log Analysis server.
Path Parameters
instance_id
Required *
string
ID of the Analytics Engine instance.
Query Parameters
Response
200 - Updated
sources
array
List of sources of logs that are being forwarded.
tags
array
List of tags that are applied to the logs being forwarded.
log_server
object
Log server properties
enabled
boolean
Indicates whether log forwarding is enabled or not.
400 - Bad Request
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Get log forwarding configuration
GET /v3/analytics_engines/{instance_id}/log_forwarding_config
Retrieve the log forwarding configuration of the Analytics Engine instance.
Request
Path Parameters
instance_id
Required *
string
ID of the Analytics Engine instance.
Query Parameters
Response
200 - OK
sources
array
List of sources of logs that are being forwarded.
tags
array
List of tags that are applied to the logs being forwarded.
log_server
object
Log server properties
enabled
boolean
Indicates whether log forwarding is enabled or not.
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Enable or disable log forwarding
PUT /v3/analytics_engines/{instance_guid}/logging
Enable or disable log forwarding from IBM Analytics Engine to IBM Log Analysis server.
Note: Deprecated. Use the log forwarding config api instead.
Request
Request Body
LoggingConfigurationRequest
Request json with logging parameter details.
enable
boolean
Enable or disable log forwarding.
Path Parameters
instance_guid
Required *
string
GUID of the instance details for which log forwarding is to be configured.
Query Parameters
Response
201 - Created
components
array
component array
log_server
object
log server properties
enable
boolean
enable
400 - Bad Request
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Retrieve the logging configuration for a given instance id
GET /v3/analytics_engines/{instance_guid}/logging
Retrieve the logging configuration of a given Analytics Engine instance.
Note: Deprecated. Use the log forwarding config api instead.
Request
Path Parameters
instance_guid
Required *
string
GUID of the Analytics Engine service instance to retrieve log configuration.
Query Parameters
Response
200 - OK
components
array
component array
log_server
object
log server properties
enable
boolean
enable
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Start Spark history server
POST /v3/analytics_engines/{instance_id}/spark_history_server
Start the Spark history server for the given Analytics Engine instance.
Request
Request Body
SparkHistoryServerRequest
Spark history server resource configuration details
cores
string
CPU count
memory
string
Memory with kubernetes compatible memory unit. Typically, the memory unit `G` (for Gigabytes) is used.
Response
202 - Accepted
state
string
State of the Spark history server.
cores
string
Number of cpu cores used by the Spark history server.
memory
string
Amount of memory used by the Spark history server along with unit.
start_time
string
Time when the Spark history server was started.
stop_time
string
Time when the Spark history server was stopped.
auto_termination_time
string
Time when the Spark history server will be stopped automatically.
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Get Spark history server details
GET /v3/analytics_engines/{instance_id}/spark_history_server
Get the details of the Spark history server of the given Analytics Engine instance.
Request
Response
200 - OK
state
string
State of the Spark history server.
cores
string
Number of cpu cores used by the Spark history server.
memory
string
Amount of memory used by the Spark history server along with unit.
start_time
string
Time when the Spark history server was started.
stop_time
string
Time when the Spark history server was stopped.
auto_termination_time
string
Time when the Spark history server will be stopped automatically.
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
Stop Spark history server
DELETE /v3/analytics_engines/{instance_id}/spark_history_server
Stop the Spark history server of the given Analytics Engine instance.
Request
Response
204 - No Content
401 - Unauthorized
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
403 - Forbidden
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
404 - Resource Not Found
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code
500 - Internal Server Error
trace
string
Error trace
errors
array
Errors list
status_code
integer
HTTP status code